Bug 115861 - FILEOPEN: Writer deletes text on save when section break is in-line
Summary: FILEOPEN: Writer deletes text on save when section break is in-line
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-02-19 18:19 UTC by gburch
Modified: 2018-03-15 15:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
minimalWord2013.docx (15.92 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-19 18:20 UTC, gburch
Details
minimalSavedByLibreOffice6.0.1.docx (11.61 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-19 18:22 UTC, gburch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gburch 2018-02-19 18:19:05 UTC
Description:
It appears that when a section break is in-line, at least in certain cases, when the document is saved the paragraph that contains the section break is deleted. Attachments to follow.

[FILESAVE]

Steps to Reproduce:
1. Open attachment "minimalWord2013.docx" (created and saved in Word 2013) in Word 2013 or later.
2. Observe paragraph "(k)" subordinate to "1.2.4".
3. Close the document.
4. Open the same document in LibreOffice.
5. Observe paragraph "(k)" subordinate to "1.2.4" is missing.
6. Save the document.
7. Open the document in Word.
8. Observe that section "(k)" subordinate to "1.2.4" is missing even in Word now.

Actual Results:  
I am unclear how to make this occur beyond the attached Word document which exhibits the behavior (and the steps to reproduce listed above).

Expected Results:
Paragraph "(k)" subordinate to "1.2.4" should be present in LibreOffice and should not be deleted on saving the file.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.167 Safari/537.36
Comment 1 gburch 2018-02-19 18:20:39 UTC
Created attachment 139997 [details]
minimalWord2013.docx
Comment 2 gburch 2018-02-19 18:21:22 UTC
Comment on attachment 139997 [details]
minimalWord2013.docx

Minimal example created in Word 2013 with paragraph "(k)"
Comment 3 gburch 2018-02-19 18:22:40 UTC
Created attachment 139998 [details]
minimalSavedByLibreOffice6.0.1.docx

Same document after opening in LibreOffice and saving to a new filename.
Comment 4 Regina Henschel 2018-02-19 22:30:49 UTC
I confirm the behavior with the attached document using Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

Putting the section break into a separate line does not show the problem.

If I delete the table on the second page, then the line (k) is there, but the page break is before the line (k) not after it.
Comment 5 Xisco Faulí 2018-02-26 16:33:03 UTC
Steps to reproduce:
1. Open attached document ( minimalWord2013.docx )

Observed behaviour: '(k) Proin tincidunt justo nec consequat porttitor:' is missing

Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-07-15 18:18:19 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-07-15 19:05:06 +0200
commit	fc3eb493ac9e8dec35060524db4dc8ca3210631a (patch)
tree	ee91f13e4806ac8d7eb74469a90de563298799a6
parent	6d3269ad94bbad8abae5703edc86d8888356bf14 (diff)
Related: bnc#875718 DOCX import: fix missing character grab-bag on fields

Bisected with: bibisect-44max

Adding Cc: to Miklos Vajna
Comment 6 Commit Notification 2018-03-06 08:07:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49cf733effc56c09c5e2eb023120c2d3532b5b3d

tdf#115861 DOCX import: avoid last-paragraph removal when discarding footer

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-03-07 12:50:47 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 16605d0cdc2c15ab4ae175531ba52824bf52bc70
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thanks for the fix Miklos!
Comment 8 Commit Notification 2018-03-15 15:51:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0edb7585c7bdf5f01dcf31f106477c959f107a84&h=libreoffice-6-0

tdf#115861 DOCX import: avoid last-paragraph removal when discarding footer

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.